init:

    $ flash = Fade(.25, 0, .75, color="#fff")

#This is your control screen that will allow you to show/hide the stat screen
screen control():
    frame:
        xalign 0.0
        yalign 0.0
        textbutton "Stat Box" action If(renpy.get_screen("stat_box"), Hide("stat_box"), Show("stat_box"))

#This is your stat_box screen
screen stat_box():
    frame:
        align (0,0)
        vbox:
            text "Relationship: [love]"
            text "Your faithfulness: [faithful]"
            text "Cuckold: [cuck]"
            text "Anne's Faithfulness: [annefaith]"

#invisible mouse area
screen button_overlay():
    mousearea:
        area (0, 0, 0.1, 50)
        hovered Show("control", transition=dissolve)
        unhovered Hide("control", transition=dissolve)


# Declare characters used by this game. The color argument colorizes the
# name of the character.
define a = Character ('Anne', color="#c449c5", image="Anne")
define e = Character ('Elena', color="#c449c5", image="Anne")
define ath = Character ("Anne's thoughts...", color="#c449c5", image="Anne", what_italic=True)
define aw = Character ("Anne whispering", color="#c449c5", image="Anne", what_italic=True, who_size=36, what_size=26)
define t = Character ('[p_name]', color="#AAAAAA", image="tony")
define tt = Character ('[p_name] thinking', color ="#AAAAAA", what_size=33, what_color="#FFFFFF", what_italic=True)
define tw = Character ('[p_name] whispering', color="#AAAAAA", who_size=36, what_size=26, what_italic=True)
define w = Character ("Waitress", color="#e37ed8")
define wt = Character ("Waiter", color="#e37ed8")
define c = Character ("Clerk")
define o = Character ("Older Gentleman")
define h = Character ("Hostess")
define v = Character ("Vincent the Waiter")
define stf = Character ("Resort Staff")
define k = Character ('Kenny', color="#333333", image="Kenny")
define dav = Character ('Dave', color="#333333", image="Kenny")
define ba = Character ('Barista', color="#e37ed8")
define can = Character ("Candace", color="#e37ed8")
define nk = Character ('Nick', color="#AAAAAA", image="tony")
define ja = Character ('James', color="#AAAAAA", image="tony")
define ma = Character ('Matt', color="#AAAAAA", image="tony")
define to = Character ('Tom', color="#AAAAAA", image="tony")
define ni = Character ('Nicole', color="#e37ed8", image="Nicole")
define r = Character ('Ryan', color="#333333", image="Ryan")
define m = Character ('Mike', color="#333333", image="Ryan")
define re = Character ('Receptionist', color="#e37ed8", image="Receptionist")
define fe = Character ('Fernanda', color ="#e37ed8", image="Fernanda")
define na = Character ('Naomi', color ="#e37ed8", image="Fernanda")
define am = Character ('Amanda', color ="#e37ed8", image="Fernanda")
define st = Character ('Stranger', color="#333333", image="Delivery")
define pd = Character ('Delivery Guy', color="#333333", image="Delivery")
define pdg = Character ('Delivery Girl', color="#333333", image="Delivery")
define js = Character ('Justine', color="#e37ed8", image="Anne")
define no = Character ('Nola', color="#e37ed8", image="Anne")
define jny = Character ('January', color="#e37ed8", image="Anne")
define ro = Character ('Rose', color="#e37ed8", image="Anne")
define jo = Character ('Jorge', color="#333333", image="Delivery")
define er = Character ('Eric', color="#333333", image="Delivery")
define la = Character ('Larry', color="#333333", image="Delivery")
define cy = Character ('Cayley', color="#e37ed8", image="Anne")
define jn = Character ('Jenny', color="#e37ed8", image="Anne")
define bri = Character ('Brittany', color="#e37ed8", image="Anne")
define dr = Character ('Dre', color="#333333", image="Delivery")
define ph = Character ('Phil', color="#333333", image="Delivery")
define do = Character ('Donny', color="#333333", image="Delivery")
define ano = Character ('PA Announcement', color="#333333", image="Delivery")
define fat = Character ('Flight Attendant', color="#e37ed8", image="Anne")
define pot = Character ('Pilot', color="#333333", image="Delivery")
define tin = Character ('Tina', color="#e37ed8", image="Anne")
define trn = Character ('Trina', color="#e37ed8", image="Anne")
define oli = Character ('Oliver', color="#333333", image="Delivery")
define bt = Character ('Bartender', color="#333333", image="Delivery")
define cor = Character ('Cornell', color="#333333", image="Delivery")
define ted = Character ('Old Chap Ted', color="#333333", image="Delivery")
define dar = Character ('Darius', color="#333333", image="Delivery")
define ran = Character ('Randall', color="#333333", image="Delivery")
define dec = Character ('Deck Hand', color="#333333", image="Delivery")
define cap = Character ('captain', color="#333333", image="Delivery")
define der = Character ('Derek', color="#333333", image="Delivery")
define tom = Character ('Tom', color="#333333", image="Delivery")
define har = Character ('Harry', color="#333333", image="Delivery")
define wi = Character ('Will', color="#333333", image="Delivery")
define con = Character ('Concierge', color="#333333", image="Delivery")
define td = Character ('Taxi Driver', color="#333333", image="Delivery")
define blk = Character ('Blakely', color="#e37ed8", image="Anne")
define lua = Character ('Luanne', color="#e37ed8", image="Anne")

define quick_dissolve = Dissolve(0.2, hard=True)

define medium_dissolve = Dissolve(1.0, hard=True)

define slow_dissolve = Dissolve(3.0, hard=True)

image movie_intro = Movie (play="images/intro/anne_walk1.webm")
image movie_intro2 = Movie (play="images/intro/anne_walk2.webm")
image movie_intro3 = Movie (play="images/intro/anne_walk3.webm")


label splashscreen:
    scene black
    show movie_intro
    $ renpy.pause (3.0)
    hide movie_intro
    show movie_intro2
    $ renpy.pause (3.0)
    hide movie_intro2
    show movie_intro3
    pause
    return

# The game starts here.

label start:
#statbox variables
    $ love = 10
    $ faithful = True
    $ cuck = False
    $ annefaith = True
    show screen button_overlay
    show screen control()

    scene black
    centered "{p=.25}{p=.25}All characters depicted in this story are fictional, and over the age of Legal age.{p=.25}{p=.25}"
    menu Start:
        "I am at least 18 years of age.":
            "Excellent.  Welcome to The Adventurous Couple!"
            jump intro
        "I am not 18 years old.":
            "Sorry, this content is unsuitable for minors."
            $ renpy.quit()

label intro:
    "Please enter a name for the MC!"
    $ p_name = renpy.input("Default is Tony", "", length=16,)
    if p_name == "":
        $ p_name = "Tony"
    "Good to meet you [p_name].  Enjoy the story, the way it was meant to be!"
    menu:
        "Skip Intro!":
            jump day_01
        "Continue!":
            jump intro1
